Bug 789292 - [eap6] operation install RHQ User does not work for unsecured server
[eap6] operation install RHQ User does not work for unsecured server
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.3
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-02-10 05:10 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 16:28:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-02-10 05:10:03 EST
Version-Release number of selected component (if applicable):
Version: 4.3.0-SNAPSHOT
Build Number: 4bd191a

How reproducible:always


Steps to Reproduce:
1. have unsecured EAP (remove  security-realm="ManagementRealm" from interfaces)
2. inventory that EAP
3. run operation 'install RHQ User'
  
Actual results: Operation fails with: 

java.lang.Exception: / (Is a directory)
	at org.rhq.core.pc.operation.OperationInvocation.run(OperationInvocation.java:278)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)


Expected results:
Operation is successful and new user is created

Additional info: setting severity to low, because it is not common usecase to unsecure EAP manually (it is secured by default) and then want add user using JON.
Comment 1 Heiko W. Rupp 2012-02-14 11:36:13 EST
Edge case as the server comes secured. And there adding the management user works.

On an unsecured server, there can probably no management realm be found and the operation is thus failing.

As users are not assumed to add management users they don't need, to catch the edge case is low priority.
Comment 2 Charles Crouch 2012-03-20 11:51:37 EDT
Setting to low priority as Heiko describes.
Comment 3 Heiko W. Rupp 2012-05-21 16:28:45 EDT
All servers are secured out of the box these days

Note You need to log in before you can comment on or make changes to this bug.